aboutsummaryrefslogtreecommitdiff
path: root/sh
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2020-06-10 23:05:20 +1200
committerTom Ryder <tom@sanctum.geek.nz>2020-06-10 23:05:20 +1200
commit1540dc9c60679edb69ce21832fcaf5e9ea8e8893 (patch)
tree8dc0aff43bbfc2c507579b3e8527657734ad0ee2 /sh
parentRestrict extensions of installed .d files (diff)
downloaddotfiles-1540dc9c60679edb69ce21832fcaf5e9ea8e8893.tar.gz
dotfiles-1540dc9c60679edb69ce21832fcaf5e9ea8e8893.zip
Adjust ~/.hushlogin test in login welcome script
Diffstat (limited to 'sh')
-rw-r--r--sh/profile.d/welcome.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/sh/profile.d/welcome.sh b/sh/profile.d/welcome.sh
index 22cdde93..16eff541 100644
--- a/sh/profile.d/welcome.sh
+++ b/sh/profile.d/welcome.sh
@@ -7,8 +7,8 @@ esac
# Only if not in a tmux window
[ -z "$TMUX" ] || return
-# Not if ~/.hushlogin exists
-[ -e "$HOME"/.hushlogin ] && return
+# Only if ~/.hushlogin doesn't exist
+! [ -e "$HOME"/.hushlogin ] || return
# Run all of this in a subshell to clear it away afterwards
(